Skip to content

Import invoice from FIRS

POST
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/received/import

Import a received invoice from FIRS using its IRN.

X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
ReceivedInvoiceImport

Import received invoice from FIRS by IRN.

object
irn
required
Irn

Invoice Reference Number from FIRS

string
>= 1 characters <= 200 characters
Examples

Request payload example

{
"irn": "string"
}

Successful Response

Examples

201 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}